#global gdate	20201102

%global rel	4

# do not provide plugin .so
%global __provides_exclude_from ^%{_libdir}/wxformbuilder/.*\.so

Name:		wxformbuilder
Summary:	GUI builder for wxWidgets
Version:	3.10.1
Release:	%mkrel %{?gdate:0.git%gdate.}%{rel}
License:	GPLv2
Group:		Development/Other
Url:		https://github.com/wxFormBuilder/wxFormBuilder
Source0:	https://github.com/wxFormBuilder/wxFormBuilder/archive/v%{version}/wxFormBuilder-%{?gdate}%{!?gdate:%version}.tar.gz
Patch1:		ticpp.patch
Patch2:		wxgtk3.1.4.patch
Patch3:		wxgtk3.1.6.patch
BuildRequires:	meson
BuildRequires:	wxgtk-devel
BuildRequires:	ticpp-devel
BuildRequires:	imagemagick

%description
RAD tool for wxWidgets GUI design.

%prep
%autosetup -n wxFormBuilder-%{?gdate}%{!?gdate:%version} -p1

%build
%meson
%meson_build

%install
%meson_install

#icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps/
convert 'src/wxFormBuilder.ico[0]' %{buildroot}%{_iconsdir}/hicolor/64x64/apps/wxFormBuilder.png

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/wxFormBuilder.desktop
[Desktop Entry]
Type=Application
Name=wxFormBuilder
Comment=GUI builder for wxWidgets
Exec=wxformbuilder
Icon=wxFormBuilder
Terminal=false
StartupNotify=false
Categories=Development;GUIDesigner
EOF

%files
%license LICENSE
%doc README*
%{_bindir}/wxformbuilder
%{_libdir}/wxformbuilder/
%{_datadir}/wxformbuilder/
%{_datadir}/applications/wxFormBuilder.desktop
%{_iconsdir}/hicolor/64x64/apps/wxFormBuilder.png


%changelog
* Tue Jul 19 2022 wally <wally> 3.10.1-4.mga9
+ Revision: 1869444
- rebuild for wxgtk 3.2.0

* Fri Jun 24 2022 papoteur <papoteur> 3.10.1-3.mga9
+ Revision: 1865705
- Rebuild for new wx

* Sun Apr 17 2022 wally <wally> 3.10.1-2.mga9
+ Revision: 1851026
- rebuild for wxgtk 3.1.6

* Sun Dec 19 2021 wally <wally> 3.10.1-1.mga9
+ Revision: 1762584
- new version 3.10.1

* Sun Jan 03 2021 wally <wally> 3.9.0-1.git20201102.2.mga8
+ Revision: 1668469
- add patch to fix errors with wxgtk >= 3.1.4

* Sun Jan 03 2021 wally <wally> 3.9.0-1.git20201102.1.mga8
+ Revision: 1668423
- imported package wxformbuilder

